Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence.dataobject
Class VerifierServiceTokenDO

    java.lang.Object
      org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
          org.wso2.solutions.identity.persistence.dataobject.VerifierServiceTokenDO

    public class VerifierServiceTokenDO

extends AbstractDataObject

Constructor Summary
`VerifierServiceTokenDO()`

Method Summary
`java.lang.String` | `getAssertionId()`
`java.util.Date` | `getDateExpires()`
`java.util.Date` | `getDateIssued()`
`VerifierServiceIdpDO` | `getIssuedBy()`
`VerifierServiceRPDO` | `getRelyingParty()`
`org.opensaml.SAMLAssertion` | `getToken()`
`void` | `setAssertionId(java.lang.String assertionId)`
`void` | `setDateExpires(java.util.Date dateExpires)`
`void` | `setDateIssued(java.util.Date dateIssued)`
`void` | `setIssuedBy(VerifierServiceIdpDO issuedBy)`
`void` | `setRelyingParty(VerifierServiceRPDO relyingParty)`
`void` | `setToken(org.opensaml.SAMLAssertion token)`

Methods inherited from class org.wso2.solutions.identity.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, setId, setLastUpdatedTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifierServiceTokenDO

    public VerifierServiceTokenDO()

Method Detail

### getAssertionId

    public java.lang.String getAssertionId()

### getDateExpires

    public java.util.Date getDateExpires()

### getDateIssued

    public java.util.Date getDateIssued()

### getIssuedBy

    public VerifierServiceIdpDO getIssuedBy()

### getRelyingParty

    public VerifierServiceRPDO getRelyingParty()

### getToken

    public org.opensaml.SAMLAssertion getToken()

### setToken

    public void setToken(org.opensaml.SAMLAssertion token)

### setAssertionId

    public void setAssertionId(java.lang.String assertionId)

### setDateExpires

    public void setDateExpires(java.util.Date dateExpires)

### setDateIssued

    public void setDateIssued(java.util.Date dateIssued)

### setIssuedBy

    public void setIssuedBy(VerifierServiceIdpDO issuedBy)

### setRelyingParty

    public void setRelyingParty(VerifierServiceRPDO relyingParty)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD